GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

      • Management module

        • Manage users

        • Management Roles

        • Manage user groups

        • Manage custom fields

        • Manage Resources and Permissions

        • Manage data resources and permissions

          • Create permission space
          • Batch create permission spaces
          • Get permission space details
          • Batch get permission space details list
          • Paged get permission space list
          • Modify Permission Space
          • Delete Permission Space
          • Batch Delete Permission Space
          • Check whether the permission space Code or name is available
          • Paginated query of all roles in the permission space
          • Create data resources
          • Create string data resources
          • Create array data resources
          • Create tree data resources
          • Get data resource list
          • Get data resource information
          • Modify data resources
          • Delete data resources
          • Check data resource name or Code Is it available
          • Create data resource extension fields
          • Batch create data resource extension fields
          • Delete data resource extension fields
          • Modify data resource extension fields
          • Get data resource extension field list
          • Create data policy
          • Get data policy list
          • Get a list of simple data policy information
          • Get data policy information
          • Modify data policy
          • Delete data policy
          • Check whether the data policy name exists
          • Get all the information of the authorized subjects under the data policy
          • Authorize Data Policy
          • Revoke Data Policy
          • Get User Permission List
          • Judge user permissions
          • Judge external user permissions
          • Get user-specified resource permission list
          • Get a list of users authorized to use resources
          • Get a list of user-authorized resources
          • Get the structure list of external user authorization resources
          • Judge the user's permissions under the same level resources of the tree resource
        • Manage Applications

        • Manage Identity Sources

        • Manage security configuration

        • Manage message service

        • Manage Pipeline

        • Manage Webhook

        • Get audit log

        • Manage metering and billing

        • Events
    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. Management module

  8. /
  9. Manage data resources and permissions

  10. /
  11. Get data policy list

¶ Get the data policy list

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Query the data policy list by page, or search the data policy Name or data policy Code by keyword for fuzzy search.

¶ Method Name

ManagementClient.listDataPolices

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
pagenumberNo1Current page number, starting from 11
limitnumberNo10The maximum number of pages per page cannot exceed 50, and the default value is 1010
querystringNo-Data strategy Name keyword searchexamplePolicyName

¶ Sample Code

package test.management.dataPermission.policy;

import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.ListDataPoliciesDto;
import cn.authing.sdk.java.dto.ListDataPoliciesPaginatedRespDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

public class ListDataPolicesTest {
    // Need to be replaced with your GenAuth Access Key ID
    private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
    // Need to be replaced with your GenAuth Access Key Secret
    private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";

    public static void main(String[] args) throws Throwable {
        ManagementClientOptions clientOptions = new ManagementClientOptions();
        clientOptions.setAccessKeyId(ACCESS_KEY_ID);
        clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
        // If you are a private deployment customer, you need to set the GenAuth service domain name
        // clientOptions.setHost("https://api.your-authing-service.com");
        ManagementClient client = new ManagementClient(clientOptions);

        ListDataPoliciesDto reqDto = new ListDataPoliciesDto();
        reqDto.setPage(1);
        reqDto.setLimit(10);
        reqDto.setQuery("examplePolicyName");
        ListDataPoliciesPaginatedRespDto response = client.listDataPolices(reqDto);
        System.out.println(JsonUtils.serialize(response));
    }
}

¶ Request Response

Type: ListDataPoliciesPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code. You can use this status code to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataDataPoliciesPaginatedRespDtoResponse data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "totalCount": 20,
    "list": {
      "policyName": "Sample Data Policy Name",
      "description": "Sample Data Policy Description",
      "resourceList": {
        "resourceId": "6301cexxxxxxxxx27478",
        "resourceName": "Resource 1"
      },
      "policyId": "60b49xxxxxxxxxxxxxxx6e68",
      "targetList": {
        "id": "6301cexxxxxxxxxxxxxxxxx78",
        "type": "USER",
        "name": "test"
      },
      "updatedAt": "2022-07-03T03:20:30.000Z"
    }
  }
}

¶ Data Structure

¶ DataPoliciesPaginatedRespDto

NameType
Is it required
Description
Example Value
totalCountnumberyesTotal number of records20
listarrayyesResponse data nested type:ListDataPoliciesRespDto。

¶ ListDataPoliciesRespDto

NameType
Is it required
Description
Example Value
policyNamestringyesData policy name, unique to the user poolSample data policy name
descriptionstringnoData policy descriptionSample data policy description
resourceListarrayyesData permission list, all data resource IDs and names under each policy Nested Type: DataResourceSimpleRespDto.
policyIdstringyesData Policy ID60b49xxxxxxxxxxxxxxx6e68
targetListarrayyesSubject object list, including all subject objects under the data policy, including USER, GROUP, ROLE, ORG Nested Type: SubjectRespDto.
updatedAtstringyesData policy update time2022-07-03T03:20:30.000Z

¶ DataResourceSimpleRespDto

NameType
Is it required
Description
Example Value
resourceIdstringyesData resource ID to which data permissions belong6301cexxxxxxxxx27478
resourceNamestringyesData resource name to which data permissions belongResource 1

¶ SubjectRespDto

NameType
Is it required
Description
Example Value
idstringyesSubject ID, including user ID, user group ID, role ID, organization ID6301cexxxxxxxxxxxxxxxxx78
typestringyesSubject type, including USER, GROUP, ROLE, ORGUSER
namestringyesSubject Name, including user Name, user group Name, role Name, organization Nametest
Previous article: Create data policy Next article: Get a list of simple data policy information
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.